﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using static System.Net.Mime.MediaTypeNames;

namespace _26AlgSzyfrCezara
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        string Szyfruj(string txt,int klucz)
        {
            string wynik = "";
            for(int i = 0;i< txt.Length; i++)
            {
                //nie szyfruj spacji i przecinka
                if(txt[i] !=' ' && txt[i]!=',')
                {
                    //szyfruj duze litery
                    if (txt[i] >= 'A' && txt[i]<='Z')
                        wynik = wynik + (char)(65 + (txt[i] - (65 - klucz)) % 26);
                    //szyfruj male litery
                    if (txt[i] >= 'a' && txt[i] <= 'z')
                        wynik = wynik + (char)(97 + (txt[i] - (97 - klucz)) % 26);
                }
                //skopiju spację, przecine bo nie są szyfrowane
                else wynik+=txt[i];
            }
            return wynik;
        }

        string Deszyfruj(string txt, int klucz)
        {
            string wynik = "";
            for (int i = 0; i < txt.Length; i++)
            {
                //nie uwzględniaj spacji i przecinka
                if (txt[i] != ' ' && txt[i] != ',')
                {
                    //deszyfruj duze litery
                    if (txt[i] >= 'A' && txt[i] <= 'Z')
                        wynik = wynik + (char)(65 + (txt[i] + (65 - klucz)) % 26);
                    //szyfruj male litery
                    if (txt[i] >= 'a' && txt[i] <= 'z')
                        wynik = wynik + (char)(97 + (txt[i] + (85 - klucz)) % 26);
                }
                //skopiju spację, przecinek bo nie są szyfrowana
                else wynik += txt[i];
            }
            return wynik;
        }

        private void button1_Click(object sender, EventArgs e)
        {
            textBox1.Clear();
            for (int i=0;i<256;i++)
               textBox1.AppendText(i.ToString()+" " + (char)i + Environment.NewLine);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            //wyskocz jak nie podano klucza
            if (textBox4.Text.Length < 1) return;
            textBox3.Clear();
            int klucz = Convert.ToInt16(textBox4.Text);
            //pokaz zaszyfrowany tekst
            textBox3.AppendText(Szyfruj(textBox2.Text,klucz));
        }

        private void textBox4_KeyPress(object sender, KeyPressEventArgs e)
        {
            //tylko cyfry
            if (e.KeyChar == 8) return;//wyskocz jak BackSpace
            if(e.KeyChar<'0'||e.KeyChar>'9') e.Handled = true; 
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //wyskocz jak nie podano klucza
            if (textBox4.Text.Length < 1) return;
            textBox3.Clear();
            int klucz = Convert.ToInt16(textBox4.Text);
            //pokaz odszyfrowany tekst
            textBox3.AppendText(Deszyfruj(textBox2.Text, klucz));
        }
    }
}
